import { RegExpParser as e } from "../../../../@chevrotain/regexp-to-ast/lib/src/regexp-parser.js";
import "../../../../@chevrotain/regexp-to-ast/lib/src/api.js";
//#region ../../node_modules/chevrotain/lib/src/scan/reg_exp_parser.js
var t = {}, n = new e();
function r(e) {
	let r = e.toString();
	if (t.hasOwnProperty(r)) return t[r];
	{
		let e = n.pattern(r);
		return t[r] = e, e;
	}
}
function i() {
	t = {};
}
//#endregion
export { i as clearRegExpParserCache, r as getRegExpAst };
